#### buffer (20 of 42 overloads)

Create a new modifiable buffer that represents the given POD vector.

    template<
        typename PodType,
        typename Allocator>
    mutable_buffer buffer(
        std::vector< PodType, Allocator > & data,
        std::size_t max_size_in_bytes);

###### Return Value

A `mutable_buffer` value equivalent to:

    mutable_buffer(
       data.size() ? &data[0] : 0,
       min(data.size() * sizeof(PodType), max_size_in_bytes));

###### Remarks

The buffer is invalidated by any vector operation that would also invalidate iterators.